/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.model;

/**
 * Initial javadoc for class BOMDescendant.
 * TODO - Add content here
 * 
 * Created Sep 8, 2006 5:33:31 PM
 * @author DNS   BOHMEG
 */
public abstract class BOMDescendant extends AbstractKeyedEntity {
    private static final long serialVersionUID = -1094605194800622630L;
	private String type;
	private BOMParent parent;

	public BOMDescendant(String type) {
		this.type = type;
	}

	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return Returns the parent.
	 */
	public BOMParent getParent() {
		return parent;
	}

	/**
	 * @param parent The parent to set.
	 */
	public void setParent(BOMParent parent) {
		this.parent = parent;
	}
}
